﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace TestProject10.ViewModel 
{
    internal class MainViewModel : ObservableObject
    {

        private IViewModel _currentPageViewModel;
        public IViewModel CurrentPageViewModel
        {
            get { return _currentPageViewModel; }
            set { Set(() => CurrentPageViewModel, ref _currentPageViewModel, value); }
        }

        private IViewModel _variousReportsViewModel = new VariousReportsViewModel() ;
        private IViewModel _logsViewModel = new LogsViewModel();
        private IViewModel _reportsViewModel = new ReportsViewModel();

        public RelayCommand<object> OnBarGroupChangeCommand { get; private set; }
        public RelayCommand<object> OnReportSelectionCommand { get; private set; }
        public MainViewModel()
        {
            CurrentPageViewModel = _logsViewModel;
            OnBarGroupChangeCommand = new RelayCommand<object>(OnBarGroupClick);
            OnReportSelectionCommand = new RelayCommand<object>(OnReportSelection);
        }
        private void OnReportSelection(object treeViewItemName)
        {
            if (treeViewItemName != null)
            {
                if (treeViewItemName.ToString() == "VariousReportsItem")
                {
                    CurrentPageViewModel = _variousReportsViewModel;
                }
            }
        }
        private void OnBarGroupClick(object barGroupKey)
        {
            if (barGroupKey.ToString() == "LogsBarGroupKey")
            {
                CurrentPageViewModel = _logsViewModel;
            }
            else if (barGroupKey.ToString() == "ReportsBarGroupKey")
            {
                CurrentPageViewModel = _reportsViewModel;
            }
        }
    }
}
